
TODO BEFORE GTK 1.0
-------------------

BUGS
----
 * Fix focus activation of list items. Does list item activation have to be
   completely reorganized?

 * Lists should scroll to center the recently selected item if it isn't
   visible.

 * Notebook: there are a few cosmetic problems left

 * Vertical scrollbar: the expose event looks hosed and is causing 
   quite a bit of flickering

NEW FEATURES
------------
 * gdk_expose_compress: ala-Xt, this would really help for opaque moves and
   such

WIDGETS
-------
 * Column-list (Jay Painter)
 * Text widget (needs to be finished)
 * Entry should have a password mode (and it should show stars
   for user feedback)

DND
---
  It seems to be having problems again.  The way DND data types are set in
  GtkWidget really needs to be fixed.  This is pretty high on my priority
  list, and I'll get to it as soon as the column list widget is done.  The
  correct way dnd data needs to be set is to have a additional keyed data
  type with GtkWidget, which is applied to the widget's window upon realize.
  There also needs to be a way to set dnd-data on widget windows which are
  not the main window (for widgets that create more than one window).
    -Jay Painter
  DnD seems to work for me, but yes, there needs to be some sort of
  gtk_widget layer that makes it easier... Also, adding support for drop
  zones might be nice.
    -- Elliot

OTHER
-----
 * Documentation


PLANNED FOR GTK AFTER 1.0
-------------------------
(add your thoughts here)

============================================================================
Other stuff todo, as of yet not categorized into the above:

-Widget redrawing when the window resizes sometimes messes up.

-Make sure a widget added to a list is a list item and a widget added
 to a menu is a menu item, etc...

-More dialogs? Print, font, etc?

-Multiple document interface (MDI)?

-Support another widget style? Should be possible using GtkStyle's, but
 there may be some work needed to remove any style dependencies in widget
 code. Maybe GtkStyle's should have 'draw_push_button', 'draw_check_button',
 etc, functions to draw the various widgets.

-Make all widget attributes configurable after the widget is created.
